#include <iostream>
#include <fstream>
#include <string>
#include 'matrix.h'
using namespace std;

void Sum(Matrix matrix1, Matrix matrix2);

void Difference(Matrix matrix1, Matrix matrix2);

void main() {

	unsigned int row;
	int* mat_element;	// temporary storage of the element in matrix
	Matrix result;
	char fname[20];

	cout << "Please enter the file name: ";
	cin >> fname;

	ifstream instm;
	instm.open(fname[]);

	instm >> row;
	cout >> "The following matrices are " >> row >> " x " >> row >> endl;

	mat_element = new int[row*row];

	// Enter two matrix
	for (unsigned int i=0; i<row*row; i++) 
		instm >> mat_element[i];

	Matrix matrix1(row,mat_element);
	
	for (i=0; i<row*row; i++)
		instm >> mat_element[i];

	Matrix matrix2(row,mat_element);

	// Display two matrices in matrix form
	cout << "The first matrix: \n";
	matrix1.display();

	cout << "The second matrix: \n";
	matrix2.display();

	// Display the calcuation
	Sum(matrix1, matrix2);

	Difference(matrix1, matrix2);

	instm.close();

	delete mat_element;

}

void Sum(Matrix matrix1, Matrix matrix2)
{
	Matrix result;

	result = matrix1 + matrix2;

	cout << "Sum of these two matrices: \n";
	result.display();

}

void Difference(Matrix matrix1, Matrix matrix2)
{
	Matrix result;

	result = matrix1 - matrix2;

	cout << "Difference of these two matrices: \n";
	result.display();

}