#include "employee.h"
#include <iostream>
#include <iomanip>
#include <string>
using namespace std;

const char Yes = 'y';
const char No = 'n';

// constructor
Employee::Employee(const string& name,unsigned int id) :stfname(name),stfid(id) {}

// copy constructor
Employee::Employee(const Employee& emp) : stfname(emp.stfname), stfid(emp.stfid) {}

// destructor
Employee::~Employee() {

//	cout << "~Employee" << endl; 
}

// update info
void Employee::Update() {

	char ans = 'Y';
	cout  << "  update name ? (y/n) "; cin >> ans;
	if (tolower(ans) == Yes) {
		cout << "\tname? "; 
		cin >> stfname;
	}
	cout  << "  update id. ? (y/n) "; cin >> ans;
	if (tolower(ans) == Yes) {
		cout << "\tid? ";
		cin >> stfid;
	}
}

// print info
void Employee::Print() const {
	cout << stfname << "  " << setw(5) << setfill('0') << stfid  ;
}
