// Function definition of class Worker	- worker.cpp
#include "employee.h"
#include "worker.h"
#include <iostream>
using namespace std;

const int SLen= 10;		// length of status name
const char StatusName[Worker::TotStatus][SLen] = { "permanent","temporary" };

// constructor
//Worker::Worker(const string& name,unsigned int id,Status status) : Employee(name,id), stfterm(status) {}

Worker::Worker(const string& name,unsigned int id,Status status) : Employee(name,id), stfterm(status) {}

// copy constructor
Worker::Worker(const Worker& worker) : Employee(*(Employee*)(&worker)), stfterm(worker.stfterm) {}

// destructor 
Worker::~Worker() {}

// update info
void Worker::Update() {

	Employee::Update();
	unsigned int ans = unsigned int(stfterm);
	cout << "  status: permanent(0) or temporary(1)? ";
	cin >> ans;
	if (ans < Worker::TotStatus)
		stfterm = Status(ans);
}

// print data
void Worker::Print() const {

	Employee::Print();
	cout << " " << StatusName[stfterm];

}

