// Definition of class Worker 		- worker.h
#ifndef worker_h
#define worker_h
#include "employee.h"
#include <string>
using namespace std;

// worker class, a derived class of Employee
class Worker : public Employee	
{
public:
	// type of term of employment
	enum Status { permanent, temporary, TotStatus };		
	/**
	 *	constructor
	 */
	Worker(const string& name=string(),unsigned int id=0,Status status=permanent);
	/**
	 *	copy constructor
	 */
	Worker(const Worker& worker);
	/**
	 *	destructor
	 */
	~Worker();
	/**
	 *	update info
	 */
	void Update();
	/**
	 *	display infor
	 */
	void Print() const;
private :
	Status stfterm;		// term of employment
};

#endif
