#include <iostream>
#include <iomanip>
#include "matrix.h"
using namespace std;

Matrix Matrix::operator +(const Matrix& matrix2)
{
	Matrix result(base);

	for (unsigned int i=0; i<base*base; i++)
		result.mat[i] = mat[i] + matrix2.mat[i];

	return result;

}


Matrix Matrix::operator -(const Matrix& matrix2)
{
	Matrix result(base);

	for (unsigned int i=0; i<base*base; i++)
		result.mat[i] = mat[i] - matrix2.mat[i];

	return result;

}


void Matrix::display() const{

	for (unsigned int i=0; i<=base*base; i++)
	{
		cout << fixed << setw(4) 
			 << mat[i] << " ";

		if (((i+1)%base) == 0)
			cout << endl;
	
	}

	cout << endl;

}
