/**
 *	Author: Amy
 *	Date:	7th Feb,2006
 *	Version: 1.0
 *	Description: Please fix all the buges
 *	Level: Normel
 */

#ifndef MATRIX_H
#define MATRIX_H

class Matrix 
{

private:
	unsigned int base;	 
	int* mat;			// element of matrix

public:

	// default constructor
	Matrix(unsigned int row=3): base(row)
	{
		for (unsigned int i=0; i<base*base; i++)
			mat[i] = 0;
	}

	// constructor
	Matrix(unsigned int row, int* element): base(row)
	{
		mat = new int [base*base];

		for (unsigned int i=0; i<base*base; i++)
			mat[i] = element[i];
	}

	// copy constructor
	Matrix(const Matrix& matrix) : base(matrix.base)
	{
		mat = new int [base*base];

		for (unsigned int i=0; i<base*base; i++)
			mat[i] = matrix.mat[i];
	}

	// destructor
	~Matrix() {}

	// overload operator +
	Matrix operator +(const Matrix matrix2);

	// overload operator -
	Matrix operator -(const Matrix& matrix2);

	// display in matrix form
	void display() const;

}

#endif