/**
 *	class Price - price.h
 *
 *		date	:	7-2-2006
 *		purpose	:	display some information of a product
 *
 */

#ifndef PRICE_H
#define PRICE_H

#include<iostream>
using namespace std;

class Price
{
public:
	Price(double nCost = 100, double gain = 0.3):
		  netCost(nCost), discount(1), earn(gain), 
		  markedPrice(nCost * (1+gain) * discount) {}
	Price (const Price& pric): netCost(netCost), discount(discount), 
		  earn(earn), markedPrice(markedPrice) {}

	void Display(const double disCount);

private:
	double netCost, discount, earn, markedPrice;
	
}
