/**
 *	Function definition of class SafeArray	- safearray.cpp
 */
#include "safearray.h"
#include <iostream>
using namespace std;

/**
 *	default constructor
 */
SafeArray::SafeArray(unsigned int s):size(s) {	
	array = new int [size];
	for (unsigned int i=0;i<size;i++)
		array[i] = 0;
}
/**
 *	copy constructor
 */
SafeArray::SafeArray(const SafeArray& safearray) { 
	size = safearray.size;
	array = new int [size];
	for (unsigned int i=0;i<size;i++)
		array[i] = safearray.array[i];
	
}
/**
 *	destructor
 */
SafeArray::~SafeArray() {
	delete [] array;
}
/**
 *	size of array
 */
unsigned int SafeArray::Length() const {

	return size;
}

/**
 *	overload []
 */
int& SafeArray::operator [](unsigned int idx) {

	if (idx < size)
		return array[idx];
	else {
		cout << "\n index out of range" << endl; // or exception handling
		exit(1);	// don't abuse it!
	}
}
