/**
 *	class SafeArray	- safearray.h
 */
#ifndef safearray_h
#define safearray_h


class SafeArray
{
	public :
		/**
		 * default size
		 */
		enum	{DefSize=10};
		/**
		 *	default constructor
		 */
		SafeArray(unsigned int s=DefSize);	
		/**
		 *	copy constructor
		 */
		SafeArray(const SafeArray& safearray);
		/**
		 *	destructor
		 */
		~SafeArray();
		/**
		 *	size of array
		 */
		unsigned int Length() const;
		/**
		 *	overload access operator
		 */
		int& operator [] (unsigned int idx);
	private :
		/**
		 *	size of array
		 */
		unsigned int size;
		/**
		 *	integer array
		 */
		int*  array;
};

#endif
