// Definition of class Employee		- employee.h
#ifndef employee_h
#define employee_h
#include <string>
using namespace std;

class Employee		// employee class
{
public :
	/**
	 *	constructor
	 */
	Employee(const string& name=string(),unsigned int id=0);
	/**
	 *	copy constructor
	 */
	Employee(const Employee& emp);
	/**
	 *	destructor
	 */
	virtual ~Employee();
	/**
	 *	update info - prompt user to update info
	 */		
	virtual void Update();
	/**
	 *	display info
	 */
	virtual void Print() const =0 ;
protected :
	/**
	 *	employee name
	 */
	string stfname;
	/**
	 *	employee id.
	 */
	unsigned int stfid;	
};

#endif
