// Test polymorphism  		- testpoly.cpp
#include "employee.h"
#include "worker.h"
#include <iostream>
using namespace std;

// selection
const char WorkerStf = 'w';
//const char ManagerStf = 'm';
//const char ScientistStf = 's';
const char Exit = 'x';
const char Update = 'u';
const char Print = 'p';
const char Complete = 'c';


// see effect of polymorphism
void seevirtual(Employee*& emptr) {

	char op;

	do {
		cout << "\n(U)pdate, (P)rint, (C)omplete ? ";
		cin >> op;
		switch (tolower(op)) {
		case Update :
			emptr->Update();
			break;
		case Print :
			cout << "\t";
			emptr->Print();
			cout << endl;
			break;
		case Complete :
//			break;
		default :
			break;
		}
	} while (op != Complete);

}

// try polymorphism
void tryvirtual() {

	Employee* emptr = NULL;

	char choice;
	bool exit = false;
	string name = "unknown";
	unsigned int id=0;

	do {
		cout << "\nType of Staff : (W)orker, (M)anager, (S)cientist, e(X)it? ";
		cin >> choice;
		if (tolower(choice) != Exit) {
			cout << "\n  name? "; cin >> name;
			cout << "  id? "; cin >> id;
		}
		switch (tolower(choice)) {
		case WorkerStf :
			emptr = new Worker(name,id);
			break;
//		
//		fill in here	for instantiating a Manager object
//			:
//		fill in here	for instantiating a Scientist object
//			:
//			
		case Exit :
			exit = true;
			break;
		default :
			break;
		}
		if (emptr) {
			seevirtual(emptr);
			delete emptr;
			emptr = NULL;
		}
	} while (!exit);

}

int main() 
{
	tryvirtual();
	return 0;

}
