/**
 *	Test driver for template class LkList	- testlist_1.cpp
 *
 *		- assume unordered list
 *		- no exception handling
 */
#include "lklist.h"
#include <iostream>
using namespace std;

// length of character list
const unsigned int MaxLen = 10;
// ordinal value of 'a'
const unsigned int Char_a = unsigned int('a');

// integer list
void intlist() {

	LkList<int> intlist;
	char command;
	int item;
	unsigned int idx = 0;
	bool exit = false;
	int newitem;

	do {
			cout << "\nins(F)ront,(A)ppend,i(N),(R)emove,([)access,(])assign,(L)ength,display(<),e(X)it : ";
			cin >> command;

			switch (tolower(command)) {
			case 'f' :	// insert front	
				cin >> item;
				intlist.Add(item);
				break;
			case 'a' :	// append
				cin >> item;
				intlist.Append(item);
				break;
			case 'n' :	// search if item in the list
				cin >> item;
				if (intlist.In(item))
					cout << item << " found" << endl;
				else
					cout << item << " not found" << endl;
				break;
//			case 'r' :	// remove - exhaust list,  once
//				cin >> item;
//				if (!intlist.Remove(item))
//					cout << "!";
//				cout << "removed" << endl;
//				break;
//			case '[' :	// assess, prompt for index
//				cin >> idx;
//				cout << intlist[idx];
//				break;
//			case ']' :	// assign, prompt for index & new value
//				cin >> idx >> newitem;
//				intlist[idx] = newitem;
//				cout << intlist[idx];
//				break;
//			case 'l' :	// length
//				cout << intlist.Length() << endl;
//				break;
			case '<' :	// cout 
				cout << intlist << endl;
				break;
			case 'x' :
				exit = true;
				break;
			default :
				break;
			}

	} while (!exit);

}

// character list
void charlist() {

	LkList<char>	chlist;

	for (unsigned int i=0;i<MaxLen;i++)
		chlist.Append(char(i+Char_a));
	// test copy constructor
	LkList<char>	chlist_clone1(chlist);
	cout << "\n" << chlist_clone1 << endl;
	// test assignment operator
	LkList<char>	chlist_clone2;
	chlist_clone2 = chlist;
	cout << chlist_clone2 << endl;
}
	

int main()
{

	charlist();

	intlist();

	return 0;
}