/**
 *	Test driver for template class LkList	- testlist_2.cpp
 *
 *		- assume ordered list
 *		- no exception handling
 */
#include "lklist.h"
#include <iostream>
using namespace std;

// integer list
void intlist() {

	LkList<int> intlist;
	char command;
	int item;
	unsigned int idx = 0;	// idx for []
	int idx_s;				// idx for search
	bool exit = false;
	int newitem;

	do {
			cout << "\n(I)nsert,(D)elete,(S)earch,([)access,(])assign,(L)ength,display(<),e(X)it : ";
			cin >> command;

			switch (tolower(command)) {
			case 'i' :	// insert - ordered list
				cin >> item;
				intlist.Insert(item);
				break;
			case 'd' :	// delete - ordered list
				cin >> item;
				if (!intlist.Delete(item))
					cout << "!";
				cout << "deleted" << endl;
				break;
			case 's' :	// search - ordered list
				cin >> item;
				idx_s = intlist.Search(item);
				if (idx_s < 0) 
					cout << "!found" << endl;
				else
					cout << unsigned int(idx_s) << endl;
				break;
			case '[' :	// access by idx
				cin >> idx;
				cout << intlist[idx];
				break;
			case ']' :	// assign, prompt for index & new value
				cin >> idx >> newitem;
				intlist[idx] = newitem;
				cout << intlist[idx];
				break;
			case 'l' :	// length
				cout << intlist.Length() << endl;
				break;
			case '<' :	// cout 
				cout << intlist << endl;
				break;
			case 'x' :
				exit = true;
				break;
			default :
				break;
			}
	} while (!exit);

}


int main()
{
	intlist();
	return 0;
}
