/**
 *	class SortKeys		- sortkeys.h
 *
 *		sorting library
 */
/*	
	fill in here

*/


template <class KeyType>
class SortKeys 
{
	public :
		/**
		 *	default no. of keys
		 */
		enum { DefSize = 100 };
		/**
		 *	default constructor
		 */
		SortKeys(unsigned int size = DefSize);
		/**
		 *	copy constructor
		 */
		SortKeys(const SortKeys& keys);
		/**
		 *	destructor
		 */
		~SortKeys();
		/**
		 *	overload =
		 */
		SortKeys& operator = (const SortKeys& keys);
		/**
		 *	insertion sort
		 */
		void InsertSort();
		/**
		 *	bubble sort
		 */
		void BubbleSort();
		/**
		 *	selection sort
		 */
		void SelectionSort();
		/**
		 *	quick sort
		 */
		void QuickSort();
		/**
		 *	overload >> input
		 */
		template <class KeyType>
		friend istream& operator >> (istream& is, SortKeys& keys);
		/**
		 *	overload << output
		 */
		template <class KeyType>
		friend ostream&  operator <<(ostream& os, const SortKeys& keys);

	protected :
		/**
		 *	fill in here
		 */

	private :
		/**
		 *	no. of keys
		 */
		unsigned int maxkeys;
		/**
		 *	array of key
		 */
		KeyType*	key;
};

#include "sortkeyscpp.h"



#endif