/**
 *	Test driver for template class Keys	- testsortlib.cpp
 *
 *		- assume ordered list
 *		- no exception handling
 */
#include "sortkeys.h"
#include <iostream>
using namespace std;

const char	contd = 'y';	//	indicate continue

// integer list
void sort() {

	unsigned int	numkeys;
	char command;

	bool cmdexit = false;
	bool manualgen = true;
	
	cout << "No. of keys? ";
	cin >> numkeys;
	if (numkeys > 0) {
		SortKeys<int>		okeylist(numkeys);
		cin >> okeylist;
		SortKeys<int>		keylist;
		do {
			if (manualgen)
				keylist = okeylist;
			cout << "\n(I)nsert,(B)ubble,(S)elect,(Q)uick, display(<),e(X)it : ";
			cin >> command;

			switch (tolower(command)) {
				case 'i' :	//	insertion sort
					keylist.InsertSort();
					cout << keylist << endl;
					break;
				case 'b' :	//	buble sort

					//  fill in here


				case 's' :	//	selection sort

					//  fill in here

				case 'q' :	//	quick sort

					//  fill in here

				case '<' :	//	cout 
					cout << keylist << endl;
					break;
				case 'x' :
					cmdexit = true;
					break;
				default :
					break;
			}
		} while (!cmdexit);	//	do..while
	}	//	if keylist > 0

}


int main()
{
	char cmd;
	do {
		sort();
		cout << "\n\ntry again? (y/n) ";
		cin >> cmd;
		cout << endl;
	} while (tolower(cmd) == contd);


	return 0;
}
