/*
 *	Source of Class Weight - weight.cpp
 */

#include "weight.h"

// default constructor
Weight::Weight()
{
	pounds = 0;
	ounces = 0;
}

// operator +
Weight::operator +(const Weight& weight) const
{
	Weight temp_weight;
	temp_weight.ounces = ounces + weight.ounces;
	if (temp_weight.ounces > 16)
	{
		temp_weight.ounces = temp_weight.ounces / 16;
		temp_weight.pounds = temp_weight.ounces / 16;
	}
	temp_weight.pounds = pounds + weight.ounces;
	return temp_weight;
}

// overload <<
ostream& operator <<(ostream& os, Weight& weight)
{
	os << weight.pounds << " pounds " << weight.ounces << " ounces" << endl;
}